# OpenShaderDesigner: OpenShaderDesigner::Console Class Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::Console Class Reference

## Public Types

enum | Setting : uint8_t { SHOW_TIMESTAMP = 0b00000001 , SHOW_THREAD = 0b00000010 , SHOW_SEVERITY = 0b00000100 , SHOW_FILE_INFO = 0b00001000 , WRAP_TEXT = 0b00010000 , ALL_SETTINGS = 0xFF , DEFAULT_SETTINGS = ALL_SETTINGS ^ WRAP_TEXT }
| Setting for displaying log entries.
enum class | Severity : int { MESSAGE = 0 , WARNING , ERROR , FATAL , ALERT , COMMAND , COUNT , DEFAULT = WARNING }
| Severity levels for log entries.

## Static Public Member Functions

static constexpr ImVec4 | ImGuiColor (unsigned int RGB)
| Integer to floating point color. (ImGui APIVersion)
static std::string | ThreadID ()
template<typename... Args>
static void | Log (const std::string &file, const int line, Severity severity=Severity::DEFAULT, const std::format_string< Args... > &message="", Args &&... vargs)
| Thread-Safe Log function for debugging.
static void | DrawMenu ()
static void | DrawWindow ()

## Static Public Attributes

static const std::string | SettingNames []
| String representations of the settings.
static const std::string | Severities []
| String representations of the Severity levels.
static const ImVec4 | SeverityColors []
| Color for rendering each Severity level text in editor.
static bool | Open = true

## Member Function Documentation

## ImGuiColor()

static constexpr ImVec4 OpenShaderDesigner::Console::ImGuiColor | ( | unsigned int | RGB | ) |

inlinestaticconstexpr

Integer to floating point color. (ImGui APIVersion)

Parameters

  RGB | The Integer color to convert.

Returns
  The rgba floating point color.

## Log()

template<typename... Args>

void OpenShaderDesigner::Console::Log | ( | const std::string & | file,
|  | const int | line,
|  | Severity | severity = Severity::DEFAULT,
|  | const std::format_string< Args... > & | message = "",
|  | Args &&... | vargs )

static

Thread-Safe Log function for debugging.

Template Parameters

  Args | Variadic Arguments template for PixelLayout Parameters

Parameters

  file | The name of the file this was called from.
  line | The line number this was called from.
  severity | The severity level of the log entry.
  message | A format string for the entry message.
  vargs | Arguments for the format string.

## Member Data Documentation

## SettingNames

const std::string OpenShaderDesigner::Console::SettingNames[]

inlinestatic

Initial value:
=
{
"Timestamps", "Thread IDs", "Severity", "File Info", "Wrapping"
}

String representations of the settings.

## Severities

const std::string OpenShaderDesigner::Console::Severities[]

inlinestatic

Initial value:
=
{
"Message", "Warning", "Error", "Fatal", "Alert", "Command"
}

String representations of the Severity levels.

## SeverityColors

const ImVec4 OpenShaderDesigner::Console::SeverityColors[]

inlinestatic

Initial value:
= {
ImGuiColor(0xA4B9C4FF), ImGuiColor(0xF2C554FF), ImGuiColor(0xE57327FF), ImGuiColor(0xCC211EFF),
ImGuiColor(0x9CDCFEFF),
}
OpenShaderDesigner::Console::ImGuiColor
static constexpr ImVec4 ImGuiColor(unsigned int RGB)
Integer to floating point color. (ImGui APIVersion)
Definition Console.h:86

Color for rendering each Severity level text in editor.

The documentation for this class was generated from the following files:

- Include/Core/Console.h
- Source/Core/Console.cpp